SoListenerDopplerElement(3)

NAME
SoListenerDopplerElement - The SoListenerDopplerElement holds the Doppler velocity and factor of the current listener.

SYNOPSIS

#include <Inventor/elements/SoListenerDopplerElement.h>

Inherits SoReplacedElement.

  Public Member Functions
virtual void init (SoState *state)
virtual void print (FILE *file) const
Prints the contents of the element (unimplemented)

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static void setDopplerVelocity (SoState *const state, SoNode *const node, const SbVec3f &velocity)
static void setDopplerFactor (SoState *const state, SoNode *const node, float factor)
static const SbVec3f & getDopplerVelocity (SoState *const state)
Returns the current listener's Doppler velocity.
static float getDopplerFactor (SoState *const state)
Returns the current listener's Doppler factor.

  Protected Member Functions
virtual ~SoListenerDopplerElement ()

  Protected Attributes
SbVec3f dopplerVelocity
float dopplerFactor

  Additional Inherited Members

Detailed Description

The SoListenerDopplerElement holds the Doppler velocity and factor of the current listener. The dopplerVelocity and dopplerFactor is set by SoListener nodes during audio rendering. The SoListenerDopplerElement is used when the SoVRMLSound nodes render themselves.

Be aware that this class is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.

Since
    Coin 2.0

Constructor & Destructor Documentation

  SoListenerDopplerElement::~SoListenerDopplerElement (void) [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoListenerDopplerElement::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  int SoListenerDopplerElement::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

  void * SoListenerDopplerElement::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoListenerDopplerElement::initClass (void) [static]
Initialize relevant common data for all instances, like the type system.

  void SoListenerDopplerElement::init (SoState * state) [virtual]
Initializes the element to its default value. The default value for the velocity is (0.0, 0.0, 0.0), in other words, the listener is not moving. The default value for the dopplerFactor is 0.0, in other words, Doppler effect is disabled.

Reimplemented from SoReplacedElement.

  void SoListenerDopplerElement::setDopplerVelocity (SoState *const state, SoNode *const node, const SbVec3f & velocity) [static]
Sets the current listener's Doppler velocity.

  void SoListenerDopplerElement::setDopplerFactor (SoState *const state, SoNode *const node, float factor) [static]
Sets the current listener's Doppler factor.

  void SoListenerDopplerElement::print (FILE * file) const [virtual]

Prints the contents of the element (unimplemented)

Reimplemented from SoReplacedElement.

Member Data Documentation

  SoListenerDopplerElement::dopplerVelocity [protected]
The Doppler velocity of the listener. It is the application programmer's responsibility to set this value. Coin does not update this value automatically based on changes in a listener's position.

  SoListenerDopplerElement::dopplerFactor [protected]
The amount of Doppler effect applied to the listener. The normal range would be [0.0f to 1.0f], where 0.0f is default and disable all Doppler effects.

Author

Generated automatically by Doxygen for Coin from the source code.